OpenVDB 5.1.0

Public Types | Public Member Functions | List of all members
DeleteByFilterOp< PointDataTreeT, FilterT > Struct Template Reference

`#include <PointDelete.h>`

## Public Types
using | LeafManagerT = tree::LeafManager< PointDataTreeT >
using | LeafRangeT = typename LeafManagerT::LeafRange
using | LeafNodeT = typename PointDataTreeT::LeafNodeType
using | ValueType = typename LeafNodeT::ValueType

## Public Member Functions
| DeleteByFilterOp (const FilterT &filter)
void | operator() (const LeafRangeT &range) const

## Member Typedef Documentation

## ◆ LeafManagerT

using LeafManagerT = tree::LeafManager<PointDataTreeT>

## ◆ LeafNodeT

using LeafNodeT = typename PointDataTreeT::LeafNodeType

## ◆ LeafRangeT

using LeafRangeT = typename LeafManagerT::LeafRange

## ◆ ValueType

using ValueType = typename LeafNodeT::ValueType

## Constructor & Destructor Documentation

## ◆ DeleteByFilterOp()

DeleteByFilterOp | ( | const FilterT & | filter | ) |
| inline

## Member Function Documentation

## ◆ operator()()

void operator() | ( | const LeafRangeT & | range | ) | const
| inline

The documentation for this struct was generated from the following file:

- PointDelete.h